%define upstream_name    Geo-Google-MapObject
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Managing the server side of Google Maps API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Geo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::Template::Pluggable)
BuildRequires: perl(JSON)
BuildRequires: perl(Math::Trig)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::JSON)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
This module is intended to provide a server side solution to working with
the Google Maps API. In particular an object of this class encapsulates a
"map" object that provides support for the static maps API, the javascript
maps API, AJAX calls and non-javascript fallback data; but without making
many assumptions about the surrounding framework. We do assume that a
template framework with support for a "dot" notation is being used, for
example the HTML::Template::Pluggable manpage. An important commitment of
the module is support for graceful and consistent fallback to a functional
non-javascript web page.

The javascript and static Google map APIs do not behave in quite the same
way when zoom and center are not specified. Specifically it works quite
well with the static maps (the
https://code.google.com/apis/maps/documentation/staticmaps/#ImplicitPosition
ing manpage) but not so well with the javascript API. To compensate for
this the module gives a choice between: specifying the center and zoom
levels; allowing the APIs and client side code to do whatever they think
best; using a built in algorithm to calculate a sensible zoom and center;
and finally supplying ones own algorithm to calculate a sensible zoom and
center.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.60.0-11.mga10
+ Revision: 2207726
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.60.0-10.mga9
+ Revision: 1817139
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-9.mga8
+ Revision: 1494654
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.60.0-8.mga7
+ Revision: 1268197
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-7.mga6
+ Revision: 1027737
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.60.0-6.mga6
+ Revision: 931718
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-5.mga5
+ Revision: 745380
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 684838
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 511828
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 367630
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 37430
- mageia rebuild
- imported package perl-Geo-Google-MapObject


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.60.0-1mdv2011.0
+ Revision: 624929
- import perl-Geo-Google-MapObject

